//+------------------------------------------------------------------+
//|                                                      MM_Ver1.mq4 |
//|                                            Copyright Coders Guru |
//|                                       http://www.metatrader.info |
//+------------------------------------------------------------------+


#property copyright "Coders Guru"
#property link      "http://www.forex-tsd.com"
#property show_inputs

extern double Risk = 0.15;

double GetLargestLoss()
{
  int total = HistoryTotal();
  static double largest = 0;
  double profit = 0;
  
  for(int cnt = 1 ; cnt < total ; cnt++)
  {
      if(OrderSelect(cnt,SELECT_BY_POS,MODE_HISTORY))
         {
            profit = OrderProfit();
            if( profit < largest )
            largest = profit;
         }
      else
           return(0);  
  }
  return(largest);  
 
}

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//---- 
   double largest = GetLargestLoss();
   double contracts = (AccountBalance() * Risk) / MathAbs(largest);
   //Alert(AccountBalance());
  Alert("The largest loss was: " + DoubleToStr(largest,2) + " \n The number of contracts you can trade: " + DoubleToStr(contracts,0));
  
//----
   return(0);
  }
//+------------------------------------------------------------------+